-- phpMyAdmin SQL Dump
-- version 5.2.1
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: Jun 20, 2024 at 08:50 AM
-- Server version: 10.4.28-MariaDB
-- PHP Version: 8.2.4

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `manxgarddb`
--

-- --------------------------------------------------------

--
-- Table structure for table `invest_plan`
--

CREATE TABLE `invest_plan` (
  `id` int(11) NOT NULL,
  `invest_hash` varchar(255) DEFAULT NULL,
  `invest_user_id` varchar(255) DEFAULT NULL,
  `planName` varchar(255) DEFAULT NULL,
  `roi` varchar(255) DEFAULT NULL,
  `amount` varchar(255) DEFAULT NULL,
  `type` varchar(255) DEFAULT NULL,
  `method` varchar(255) DEFAULT NULL,
  `wallet_address` varchar(255) DEFAULT NULL,
  `duration` varchar(255) DEFAULT NULL,
  `profit` varchar(255) DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL,
  `start_date` varchar(255) DEFAULT NULL,
  `end_date` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `invest_plan`
--

INSERT INTO `invest_plan` (`id`, `invest_hash`, `invest_user_id`, `planName`, `roi`, `amount`, `type`, `method`, `wallet_address`, `duration`, `profit`, `status`, `start_date`, `end_date`) VALUES
(1, 'INVKY3sxo', 'mx55321', 'Premium', '2.5', '4000', 'deposit', 'Usdt erc20', 'usdt-erc-wallet', '10', '1000', 'cancel', '19-06-2024', NULL),
(2, 'INV6m0H8E', 'mx55321', 'Minimum', '1.5', '2000', NULL, NULL, NULL, '10', '300', 'completed', '19-06-2024', '20-06-2024'),
(3, 'INVopvM09', 'mx55321', 'Standard', '4.3', '500000', 'deposit', 'Usdt erc20', 'usdt-erc-wallet', '84', '1806000', 'active', '19-06-2024', '11-09-2024'),
(4, 'INV8VYnHM', 'mx55321', 'Premium', '2.5', '5000', NULL, NULL, NULL, '10', '1250', 'cancel', '20-06-2024', '30-06-2024'),
(5, 'INViTUahA', 'mx55321', 'Minimum', '1.5', '3000', 'deposit', 'Bitcoin', '3JGiQ6mrRVGbTPTNS9mK59oULVhaw5DDAR', '10', '450', 'cancel', '20-06-2024', '30-06-2024');

-- --------------------------------------------------------

--
-- Table structure for table `packages`
--

CREATE TABLE `packages` (
  `package_id` int(11) NOT NULL,
  `package_name` varchar(200) DEFAULT NULL,
  `package_min` varchar(200) DEFAULT NULL,
  `package_max` varchar(200) DEFAULT NULL,
  `package_interest` varchar(200) DEFAULT NULL,
  `referral_bonus` varchar(255) DEFAULT '10',
  `duration` varchar(100) DEFAULT NULL,
  `status` varchar(255) NOT NULL DEFAULT 'active'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `packages`
--

INSERT INTO `packages` (`package_id`, `package_name`, `package_min`, `package_max`, `package_interest`, `referral_bonus`, `duration`, `status`) VALUES
(1, 'Minimum', '300', '3000', '1.5', '10', '10', 'active'),
(2, 'Premium', '3100', '10000', '2.5', '10', '10', 'active'),
(3, 'Golden', '10100', '999999', '3.5', '10', '30', 'active'),
(15, 'Standard', '100000', '99999999', '4.3', '10', '84', 'active');

-- --------------------------------------------------------

--
-- Table structure for table `settings`
--

CREATE TABLE `settings` (
  `id` int(11) NOT NULL,
  `website_name` varchar(250) DEFAULT NULL,
  `website_url` varchar(250) DEFAULT NULL,
  `website_email` varchar(250) DEFAULT NULL,
  `admin_mail` varchar(250) DEFAULT NULL,
  `company_address` longtext DEFAULT NULL,
  `live_chat` longtext DEFAULT NULL,
  `bitcoin_address` varchar(250) DEFAULT NULL,
  `eth_address` varchar(300) DEFAULT NULL,
  `usdt_erc` varchar(300) DEFAULT NULL,
  `usdt_trc` varchar(300) DEFAULT NULL,
  `bnb_address` varchar(255) DEFAULT NULL,
  `withdrawal_pin` varchar(300) DEFAULT NULL,
  `logo_img` varchar(300) DEFAULT NULL,
  `token` varchar(300) DEFAULT NULL,
  `favicon` varchar(255) DEFAULT NULL,
  `currency` varchar(255) DEFAULT NULL,
  `currency_suffix` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `settings`
--

INSERT INTO `settings` (`id`, `website_name`, `website_url`, `website_email`, `admin_mail`, `company_address`, `live_chat`, `bitcoin_address`, `eth_address`, `usdt_erc`, `usdt_trc`, `bnb_address`, `withdrawal_pin`, `logo_img`, `token`, `favicon`, `currency`, `currency_suffix`) VALUES
(1, 'Manxgards', 'http://localhost/codes/manxgard/', 'support@manxgards.com', 'admin@buildwealthfh.com', '95 Wrexham Road,Felindre,United Kingdom', '<script src=\"//code.tidio.co/osigkov8gedlfnsdgh2jgsezk3c0vedn.js\" async=\"\"></script>', '3JGiQ6mrRVGbTPTNS9mK59oULVhaw5DDAR', 'eth-wallet', 'usdt-erc-wallet', 'usdt-trc-wallet', 'bnb-wallet', '1234', 'logo1718866019.png', '915423', 'logo1718866104.png', '$', 'USD');

-- --------------------------------------------------------

--
-- Table structure for table `temp_tranx`
--

CREATE TABLE `temp_tranx` (
  `id` int(11) NOT NULL,
  `trnx_hash` varchar(255) DEFAULT NULL,
  `trxn_userid` varchar(255) DEFAULT NULL,
  `trxn_type` varchar(255) DEFAULT NULL,
  `amount` varchar(255) DEFAULT NULL,
  `plan_id` varchar(255) DEFAULT NULL,
  `payment_from` varchar(255) DEFAULT NULL,
  `method` varchar(255) DEFAULT NULL,
  `wallet_address` varchar(255) DEFAULT NULL,
  `trxn_date` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

-- --------------------------------------------------------

--
-- Table structure for table `tickets`
--

CREATE TABLE `tickets` (
  `id` int(11) NOT NULL,
  `ticker_userid` varchar(255) DEFAULT NULL,
  `subject` varchar(255) DEFAULT 'Enquiry',
  `message` longtext DEFAULT NULL,
  `status` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `tickets`
--

INSERT INTO `tickets` (`id`, `ticker_userid`, `subject`, `message`, `status`) VALUES
(1, 'mx55321', 'Testing ticket', 'Project Requirement:\r\n\r\n\r\nUser:\r\n\r\n	User can register/login on the system\r\n	A user has a profile and can edit their profile\r\n	A referral Link or code is automatically generated.\r\n	MLM System with referral Bonus down to downlines.\r\no	User can move to another level and earn more commission\r\no	\r\n	Will have a One Wallet System where they can request for commission, can fund their wallet and can buy data with funds in the wallet.\r\n\r\n	A VTU system where user can buy data.\r\no	A VTU Referral system with commission (User starts earning when his/her referrals on the platform starts buying data or credit card)\r\n\r\n\r\nBackend:\r\n\r\n	Can Create/Delete Account\r\n	View account and see their downlines tree\r\n	Create a Package for users to buy\r\n	Can create Task for user to earn points\r\no	Can create questions\r\no	Can create a link, social media links for user to follow to earn a point\r\n\r\n	Can set VTU Data and Cards\r\n	Can set Fix commissions\r\n	Can See list of users and commissions to pay out', 'Open');

-- --------------------------------------------------------

--
-- Table structure for table `transaction`
--

CREATE TABLE `transaction` (
  `transaction_id` int(11) NOT NULL,
  `transaction_user_id` varchar(200) DEFAULT NULL,
  `transaction_type` varchar(200) DEFAULT NULL,
  `transaction_status` varchar(200) DEFAULT NULL,
  `t_mode` varchar(300) DEFAULT NULL,
  `transaction_amount` varchar(200) DEFAULT NULL,
  `wallet_address` varchar(300) DEFAULT '**********************',
  `transaction_date` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `transaction`
--

INSERT INTO `transaction` (`transaction_id`, `transaction_user_id`, `transaction_type`, `transaction_status`, `t_mode`, `transaction_amount`, `wallet_address`, `transaction_date`) VALUES
(1, 'mx55321', 'transfer', 'success', 'xcode', '1000', '**********************', 'Mon. 17th 06, 2024'),
(2, 'mx55321', 'transfer', 'success', 'xcode', '1000', '**********************', 'Mon. 17th 06, 2024'),
(5, 'mx55321', 'withdrawal', 'pending', 'Bitcoin', '1000', 'mybtcwalletaddress', 'Wed. 19th 06, 2024'),
(6, 'mx55321', 'withdrawal', 'pending', 'Bitcoin', '100', 'myethwalletaddress', 'Wed. 19th 06, 2024'),
(7, 'mx55321', 'withdrawal', 'pending', 'Bitcoin', '500', 'myethwalletaddress', 'Wed. 19th 06, 2024'),
(8, 'mx55321', 'withdrawal', 'cancel', 'Ethereum', '500', 'mybtcwalletaddress', 'Wed. 19th 06, 2024'),
(9, 'mx55321', 'withdrawal', 'success', 'Bitcoin', '100', 'mybtcwalletaddress', 'Wed. 19th 06, 2024'),
(10, 'mx55321', 'withdrawal', 'cancel', 'Bitcoin', '500', 'myethwalletaddress', 'Wed. 19th 06, 2024'),
(11, 'mx55321', 'withdrawal', 'cancel', 'Ethereum', '500', 'mybtcwalletaddress', 'Wed. 19th 06, 2024'),
(12, 'mx55321', 'profit', 'success', 'Minimum', '2000', 'Profit earn from Minimum Package', '20-06-2024');

-- --------------------------------------------------------

--
-- Table structure for table `users`
--

CREATE TABLE `users` (
  `id` int(11) NOT NULL,
  `user_id` varchar(250) DEFAULT NULL,
  `role` varchar(200) DEFAULT NULL,
  `full_name` varchar(250) DEFAULT NULL,
  `username` varchar(255) DEFAULT NULL,
  `balance` varchar(250) DEFAULT '0',
  `profit` varchar(300) DEFAULT '0',
  `bonus` varchar(255) NOT NULL DEFAULT '0',
  `promo` varchar(11) NOT NULL DEFAULT '0',
  `refferal` varchar(255) DEFAULT NULL,
  `email` varchar(250) DEFAULT NULL,
  `phone` varchar(255) DEFAULT NULL,
  `dob` varchar(255) DEFAULT NULL,
  `address` varchar(255) DEFAULT NULL,
  `country` varchar(255) DEFAULT 'Not Available',
  `password` varchar(250) DEFAULT NULL,
  `image` varchar(300) DEFAULT '3135715.png',
  `status` varchar(250) DEFAULT 'active',
  `token` text DEFAULT NULL,
  `reg_date` varchar(255) DEFAULT NULL,
  `acct_status` varchar(300) DEFAULT '1'
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `users`
--

INSERT INTO `users` (`id`, `user_id`, `role`, `full_name`, `username`, `balance`, `profit`, `bonus`, `promo`, `refferal`, `email`, `phone`, `dob`, `address`, `country`, `password`, `image`, `status`, `token`, `reg_date`, `acct_status`) VALUES
(1, 'xcode', 'admin', 'Super Admin', 'admin', '2000', '0', '0', '0', NULL, 'admin@gmail.com', NULL, NULL, NULL, 'Algeria', '123456', '3135715.png', 'active', NULL, '2024-02-21 14:29:09', '1'),
(3, 'mx55321', NULL, 'Mark Donalds ', 'user101', '509500', '4800', '500', '500', '', 'okonjohn133@gmail.com', '90563456625', '1997-10-23', 'New City Town', 'Canada', '1234@User', 'Charlie Editing2.jpg', 'active', NULL, '2024-06-13', '1'),
(4, 'mx46541', NULL, 'Newton Mca', 'testuser', '0', '0', '0', '0', 'user101', 'upwardshaulage@gmail.com', NULL, NULL, NULL, 'Not Available', '123456', '3135715.png', 'active', NULL, '2024-06-19', '1');

-- --------------------------------------------------------

--
-- Table structure for table `user_wallets`
--

CREATE TABLE `user_wallets` (
  `id` int(11) NOT NULL,
  `wallet_userid` varchar(255) DEFAULT NULL,
  `wallet_name` varchar(255) DEFAULT NULL,
  `wallet_address` varchar(255) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_general_ci;

--
-- Dumping data for table `user_wallets`
--

INSERT INTO `user_wallets` (`id`, `wallet_userid`, `wallet_name`, `wallet_address`) VALUES
(1, 'mx55321', 'Bitcoin', 'mybtcwalletaddress'),
(3, 'mx55321', 'Ethereum', 'myethwalletaddress');

--
-- Indexes for dumped tables
--

--
-- Indexes for table `invest_plan`
--
ALTER TABLE `invest_plan`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `packages`
--
ALTER TABLE `packages`
  ADD PRIMARY KEY (`package_id`);

--
-- Indexes for table `settings`
--
ALTER TABLE `settings`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `temp_tranx`
--
ALTER TABLE `temp_tranx`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `tickets`
--
ALTER TABLE `tickets`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `transaction`
--
ALTER TABLE `transaction`
  ADD PRIMARY KEY (`transaction_id`);

--
-- Indexes for table `users`
--
ALTER TABLE `users`
  ADD PRIMARY KEY (`id`);

--
-- Indexes for table `user_wallets`
--
ALTER TABLE `user_wallets`
  ADD PRIMARY KEY (`id`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `invest_plan`
--
ALTER TABLE `invest_plan`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=6;

--
-- AUTO_INCREMENT for table `packages`
--
ALTER TABLE `packages`
  MODIFY `package_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=17;

--
-- AUTO_INCREMENT for table `settings`
--
ALTER TABLE `settings`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `temp_tranx`
--
ALTER TABLE `temp_tranx`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=4;

--
-- AUTO_INCREMENT for table `tickets`
--
ALTER TABLE `tickets`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;

--
-- AUTO_INCREMENT for table `transaction`
--
ALTER TABLE `transaction`
  MODIFY `transaction_id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=13;

--
-- AUTO_INCREMENT for table `users`
--
ALTER TABLE `users`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;

--
-- AUTO_INCREMENT for table `user_wallets`
--
ALTER TABLE `user_wallets`
  MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=5;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
