<?php
if (isset($_POST['temp_submit'])) {
    $plan_id = $_POST['plan'];
    $amount = $_POST['amount'];
    $payment_from = $_POST['payment_from'];
    $wallet_type = $_POST['wallet_type'];

    if ($wallet_type == "Bitcoin") {
      $wallet_address = $bitcoin_address;
    }elseif ($wallet_type == "Ethereum") {
      $wallet_address = $eth_address;
    }elseif ($wallet_type == "Usdt erc20") {
      $wallet_address = $usdt_erc;
    }elseif ($wallet_type == "Usdt trc20") {
      $wallet_address = $usdt_trc;
    }elseif ($wallet_type == "BNB") {
      $wallet_address = $bnb_address;
    }

    $plan_sql = "SELECT * FROM packages WHERE package_id = '$plan_id'";
    $result_plan = $connection->query($plan_sql);
    while ($row = $result_plan->fetch_assoc()) {
      $pname = $row['package_name'];
      $daily_roi = $row['package_interest'];
      $duration = $row['duration'];
      $min_amount = $row['package_min'];
      $max_amount = $row['package_max'];

      $pro1 = $amount * $daily_roi;
      $pro2 = $pro1 / 100;
      $profit = $pro2 * $duration;
      $end_date = date('d-m-Y', strtotime("+$duration days"));
      $dmin = number_format("$min_amount",2);
      $dmax = number_format("$max_amount",2);
    }

    if (empty($plan_id) || empty($amount) || empty($payment_from)) {
      $msg = "<div class='alert alert-danger alert-dismissible' style='max-width:80%; font-size:100%'>
                    <a href='#' class='close' data-dismiss='alert' aria-label='close'>×</a>
                    <p>All fields are required</p>
                </div>";
    }elseif ($payment_from == "wallet" && empty($wallet_type)) {
      $msg = "<div class='alert alert-danger alert-dismissible' style='max-width:80%; font-size:100%'>
                    <a href='#' class='close' data-dismiss='alert' aria-label='close'>×</a>
                    <p>Select Crypto Type</p>
                </div>";
    }elseif ($amount < $min_amount) {
        $msg = "<div class='alert alert-danger alert-dismissible' style='max-width:80%;  font-size:100%'>
                      <a href='#' class='close' data-dismiss='alert' aria-label='close'>×</a>
                      <p>Minimum investment amount for this plan is $currency$dmin</p>
                  </div>";
    }elseif ($amount > $max_amount) {
        $msg = "<div class='alert alert-danger alert-dismissible' style='max-width:80%;  font-size:100%'>
                    <a href='#' class='close' data-dismiss='alert' aria-label='close'>×</a>
                    <p>Maximum investment amount for this plan is $currency$dmax</p>
                </div>";
    }elseif ($payment_from == "balance") {
        if ($amount > $balance) {
            $msg = "<div class='alert alert-danger alert-dismissible' style='max-width:80%;  font-size:100%'>
                        <a href='#' class='close' data-dismiss='alert' aria-label='close'>×</a>
                        <p>Insufficient balance</p>
                    </div>";
        }else {

                  $character = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
                  $text_suff = str_shuffle($character);
                  $randomString = substr($text_suff, 0, 6);
                  $trnx_hash = "INV".''.$randomString;
                  $invest_status = "active";
                  $start_date = date("d-m-Y");
                  $d_amount = number_format($amount, 2);


                  $sql = "INSERT INTO invest_plan (invest_hash, invest_user_id, planName, roi, amount, duration, profit, status, start_date, end_date) VALUES (?,?,?,?,?,?,?,?,?,?)";
                  $stmt = $connection->prepare($sql);
                  $stmt->bind_param("ssssssssss", $trnx_hash, $user_id, $pname, $daily_roi, $amount, $duration, $profit, $invest_status, $start_date, $end_date);
                  if ($stmt->execute()){
                    $new_bal = $balance - $amount;
                    $update_bal = "UPDATE users SET balance = '$new_bal' WHERE user_id = '$user_id'";
                    $bal_query = $connection->query($update_bal);
                      if ($bal_query === TRUE) {
                          // send mail
                              $to = "$email";
                              $subject = "Investment Notification";
                              $message = "
                              <div style='background: #0C0E27; padding: 10px;'>
                              <br>
                              <center><img src='$website_url/images/$logo_img' width='200px;'></center>
                              <br>
                              <div style='width: 60%; font-family: sans-serif; padding: 10px 4%; background: white; margin: 5px auto; border-radius: 0px;'>
                              <center>
                                <h3>$website_name</h3>
                                <p>Investment</p>
                              </center>
                              <p>
                                Hello $username<br>
                                This is to notify you that your purchase of $pname package with the amount of $currency$d_amount was successful, investment is active and running.
                                <br>
                                Interest will be added to your account at the end of the investment period.
                                <br>
                                Login to your account to check the status and profit interest of investment.
                              </p>
                              <br>
                              <hr>
                              <center>
                              <p>
                                <b>Invested Plan</b><br>
                                  $pname <br><br>

                                <b>Interest</b><br>
                                  $daily_roi% <br><br>

                                <b>Duration</b><br>
                                  $duration Days<br><br>

                                <b>Total Profit</b><br>
                                  $currency$profit <br><br>
                              </p>
                              </center>
                              <hr>

                              <br>
                              <center><p>Have a question? <a href='mailto:$website_email' style='color:#000'>$website_email</a></p></center>
                              </div><br>
                              <center><p style='font-size: 13px; color:#ccc'>©2016-$today <a href='$website_url' style='color:blue'>$website_name</a  All rights reserved.</p></center>
                              <br>
                              </div>";

                              // Always set content-type when sending HTML email
                              $headers = "MIME-Version: 1.0" . "\r\n";
                              $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

                              // More headers
                              $headers .= "From: $website_name <$website_email>" . "\r\n";
                              $headers .= "Reply-To: $website_email \r\n";
                              $headers .= "Return-Path: $website_email\r\n";
                              // $headers .= "BCC: $website_email\r\n";

                              if (mail($to,$subject,$message,$headers,"-f $website_email")){
                                // send mail
                                $to = "$website_email";
                                $subject = "User Investment Notification";
                                $message = "
                                <div style='background: #0C0E27; padding: 10px;'>
                                <br>
                                <center><img src='$website_url/images/$logo_img' width='200px;'></center>
                                <br>
                                <div style='width: 60%; font-family: sans-serif; padding: 10px 4%; background: white; margin: 5px auto; border-radius: 0px;'>
                                <p>Hello Admin, an investment just occur on the system.<br>
                                $full_name just invested $currency$d_amount into  $pname package.</p>
                                <center>
                                <p>
                                  <b>Invested Plan</b><br>
                                    $pname <br><br>

                                  <b>Interest</b><br>
                                    $daily_roi% <br><br>

                                  <b>Duration</b><br>
                                    $duration Days<br><br>

                                  <b>Total Profit</b><br>
                                    $currency$profit <br><br>
                                </p>
                                </center>

                                <p>Login and confirm this transaction</p>

                                <a href='$website_url' style='color: dodgerblue; text-decoration: none'>
                                <button style='padding: 10px; background: dodgerblue; border: 1px solid transparent; color: white; width: 100%; border-radius: 3px'>Login Now</button></a>
                                </div><br>
                                <center><p style='font-size: 13px; color:#ccc'>©2016-$today <a href='$website_url' style='color:blue'>$website_name</a  All rights reserved.</p></center>
                                <br>
                                </div>";

                                // Always set content-type when sending HTML email
                                $headers = "MIME-Version: 1.0" . "\r\n";
                                $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

                                // More headers
                                $headers .= "From: $website_name <$website_email>" . "\r\n";
                                $headers .= "Reply-To: $website_email \r\n";
                                $headers .= "Return-Path: $website_email\r\n";
                                // $headers .= "BCC: $website_email\r\n";

                          if (mail($to, $subject, $message, $headers,"-f $website_email")) {
                                $error = "invest_success";
                              } else {
                                  $error = "error";
                              }
                          }
                      } else {
                          $error = "error";
                      }
                  } else {
                      $error = "error";
                  }
        }
    }else {
        $trxn_type = "deposit";
        $trxn_date = date("D. dS M, Y");
        $character = '0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ';
        $text_suff = str_shuffle($character);
  			$randomString = substr($text_suff, 0, 6);
        $trnx_hash = "INV".''.$randomString;


        $sql = "INSERT INTO temp_tranx (trnx_hash, trxn_userid, trxn_type, amount, plan_id, payment_from, method, wallet_address, trxn_date)
         VALUES ('$trnx_hash', '$user_id', '$trxn_type', '$amount', '$plan_id', '$payment_from', '$wallet_type', '$wallet_address', '$trxn_date')";
        $sql_query = $connection->query($sql);
        if ($sql_query === TRUE){
            $error = "temp_success";
        }
      }

    }





    if (isset($_POST['confirm'])) {
        $pname = $_POST['plan_name'];
        $amount = $_POST['amount'];
        $trnx_hash = $_POST['trnx_hash'];
        $daily_roi = $_POST['daily_roi'];
        $duration = $_POST['duration'];
        $profit = $_POST['profit'];
        $end_date = $_POST['end_date'];
        $method = $_POST['method'];
        $wallet_address = $_POST['wallet_address'];


        $invest_status = "pending";
        $start_date = date("d-m-Y");
        $d_amount = number_format($amount, 2);
        $trnx_type = "deposit";


        $sql = "INSERT INTO invest_plan (invest_hash, invest_user_id, planName, roi, amount, duration, profit, status, type, method, wallet_address, start_date) VALUES (?,?,?,?,?,?,?,?,?,?,?,?)";
        $stmt = $connection->prepare($sql);
        $stmt->bind_param("ssssssssssss", $trnx_hash, $user_id, $pname, $daily_roi, $amount, $duration, $profit, $invest_status, $trnx_type, $method, $wallet_address, $start_date);
        if ($stmt->execute()){
          $delete_temptrxn = "DELETE FROM temp_tranx WHERE trnx_hash = '$trnx_hash'";
          $delete_query = $connection->query($delete_temptrxn);
            if ($delete_query === TRUE) {
                // send mail
                    $to = "$email";
                    $subject = "Deposit Notification";
                    $message = "
                    <div style='background: #0C0E27; padding: 10px;'>
                    <br>
                    <center><img src='$website_url/images/$logo_img' width='200px;'></center>
                    <br>
                    <div style='width: 60%; font-family: sans-serif; padding: 10px 4%; background: white; margin: 5px auto; border-radius: 0px;'>
                    <center>
                      <h3>$website_name</h3>
                      <p>Account Depost</p>
                    </center>
                    <p>
                      Hello $username<br>
                      You have successfully made a deposit of $currency$d_amount under $pname package.
                      Wait while we verify your payment, Be sure to send payment to the wallet address provided<br>
                      Investment will become active immediately the payment is received and funds will be added to your $website_name account balance
                    </p>
                    <br>
                    <hr>
                    <center>
                    <p>
                      <b>Invested Plan</b><br>
                        $pname <br><br>

                      <b>Interest</b><br>
                        $daily_roi% <br><br>

                      <b>Duration</b><br>
                        $duration Days<br><br>

                      <b>Total Profit</b><br>
                        $currency$profit <br><br>
                    </p>
                    </center>
                    <hr>

                    <br>
                    <center><p>Have a question? <a href='mailto:$website_email' style='color:#000'>$website_email</a></p></center>
                    </div><br>
                    <center><p style='font-size: 13px; color:#ccc'>©2016-$today <a href='$website_url' style='color:blue'>$website_name</a  All rights reserved.</p></center>
                    <br>
                    </div>";

                    // Always set content-type when sending HTML email
                    $headers = "MIME-Version: 1.0" . "\r\n";
                    $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

                    // More headers
                    $headers .= "From: $website_name <$website_email>" . "\r\n";
                    $headers .= "Reply-To: $website_email \r\n";
                    $headers .= "Return-Path: $website_email\r\n";
                    // $headers .= "BCC: $website_email\r\n";

                    if (mail($to,$subject,$message,$headers,"-f $website_email")){
                      // send mail
                      $to = "$website_email";
                      $subject = "User Deposit Notification";
                      $message = "
                      <div style='background: #0C0E27; padding: 10px;'>
                      <br>
                      <center><img src='$website_url/images/$logo_img' width='200px;'></center>
                      <br>
                      <div style='width: 60%; font-family: sans-serif; padding: 10px 4%; background: white; margin: 5px auto; border-radius: 0px;'>
                      <p>Hello Admin, $full_name made a deposit of $currency$d_amount under $pname package on the system</p>
                      <center>
                      <p>
                        <b>Invested Plan</b><br>
                          $pname <br><br>

                        <b>Interest</b><br>
                          $daily_roi% <br><br>

                        <b>Duration</b><br>
                          $duration Days<br><br>

                        <b>Total Profit</b><br>
                          $currency$profit <br><br>
                      </p>
                      </center>

                      <p>Login and confirm this transaction</p>

                      <a href='$website_url' style='color: dodgerblue; text-decoration: none'>
                      <button style='padding: 10px; background: dodgerblue; border: 1px solid transparent; color: white; width: 100%; border-radius: 3px'>Login Now</button></a>
                      </div><br>
                      <center><p style='font-size: 13px; color:#ccc'>©2016-$today <a href='$website_url' style='color:blue'>$website_name</a  All rights reserved.</p></center>
                      <br>
                      </div>";

                      // Always set content-type when sending HTML email
                      $headers = "MIME-Version: 1.0" . "\r\n";
                      $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";

                      // More headers
                      $headers .= "From: $website_name <$website_email>" . "\r\n";
                      $headers .= "Reply-To: $website_email \r\n";
                      $headers .= "Return-Path: $website_email\r\n";
                      // $headers .= "BCC: $website_email\r\n";

                if (mail($to, $subject, $message, $headers,"-f $website_email")) {
                      echo "<script>window.location.href = 'deposit.php?invest_hash=$trnx_hash'</script>";
                      exit;
                  }
              }
            }
        }else {
            $deposit_error = "error";
        }
}

?>
