<?php $page_title = "Withdraw Funds" ?>
<?php include 'user_header.php';?>
        <!-- Stats -->
        <div class="section">
            <div class="row mt-2">
              <li class="bonus_promo">
                <div class="col-6">
                    <div class="stat-box">
                        <div class="title">Pending Withdrawal</div>
                        <div class="value text-primary"><?php echo $currency.''.$pedning_withdrawal ?></div>
                    </div>
                </div>
              </li>
              <li class="bonus_promo">
                <div class="col-6">
                    <div class="stat-box">
                        <div class="title">Confirmed Withdrawal</div>
                        <div class="value text-success"><?php echo $currency.''.$confirm_withdrawal ?></div>
                    </div>
                </div>
              </li>
            </div>

        </div>
        <!-- * Stats -->



      <div class="section mt-2">
            <div class="section-title">Withdrawal Transactions</div>
            <div class="card">

                <div class="table-responsive">
                    <table class="table" style="width:100%">
                        <thead>
                          <th scope="col">S/N</th>
                          <th scope="col">Name</th>
                          <th scope="col">Amount</th>
                          <th scope="col">Payment Gateway</th>
                          <th scope="col">Wallet address</th>
                          <th scope="col">Status</th>
                          <th scope="col" class="">Date</th>
                        </thead>
                        <tbody>
                          <?php
                              $i = 1;
                              $sql = "SELECT * FROM transaction WHERE transaction_type = 'withdrawal' AND transaction_user_id = '$user_id' ORDER BY transaction_id DESC";
                              $result = $connection->query($sql);
                              while ($row = $result->fetch_assoc()) {
                                  $trnx_id = $row['transaction_id'];
                                  $amount = $row['transaction_amount'];
                                  $gateway = $row['t_mode'];
                                  $wallet_address = $row['wallet_address'];
                                  $status = $row['transaction_status'];
                                  $date = $row['transaction_date'];
                          ?>
                          <tr style="text-align:center">
                              <td><?php echo $i++ ?></td>
                              <td><?php echo $username?></td>
                              <td><?php echo $currency ?><?php echo number_format("$amount",2)?></td>
                              <td><?php echo $gateway ?></td>
                              <td><?php echo $wallet_address ?></td>
                              <td>
                                <?php
                                  if($status == "pending"){
                                    echo "<span style='background:; border:0px' class='btn btn-warning btn-block btn-sm'>Pending</span>";
                                  }elseif($status == "success"){
                                    echo "<span style='color:;' class='btn btn-success btn-block btn-sm'>Success</span>";
                                  }elseif($status == "cancel"){
                                    echo "<span style='color:;' class='btn btn-danger btn-block btn-sm'>Cancelled</span>";
                                  }else{
                                    echo "<span style='color:;' class='btn btn-primary btn-block btn-sm'>N/A</span>";
                                  }
                                ?>
                              </td>
                              <td><?php echo $date?></td>
                          </tr>
                          <?php }?>
                        </tbody>
                    </table>
                </div>

            </div>
        </div>


    </div>
    <!-- * App Capsule -->

<?php include 'user_footer.php'; ?>
