<?php $page_title = "Deposit History" ?>
<?php include 'user_header.php';?>
        <!-- Stats -->
        <div class="section">


             <div class="row mt-2">
               <li class="bonus_promo">
                <div class="col-6">
                    <div class="stat-box">
                        <div class="title">Amount Pending</div>
                        <div class="value text-primary"><?php echo $currency.''.$total_pend_deposit ?></div>
                    </div>
                </div>
                </li>

                <li class="bonus_promo">
                  <div class="col-6">
                      <div class="stat-box">
                          <div class="title">Amount Confirmed</div>
                          <div class="value text-success"><?php echo $currency.''.$total_confirm_deposit ?></div>
                      </div>
                  </div>

            </div>

            <div class="row mt-2">

              <li class="row_list">
                <div class="col-4">
                    <div class="stat-box">
                        <div class="title">Pending</div>
                        <div class="value text-primary"><?php echo $pending_inv ?></div>
                    </div>
                </div>
              </li>

              <li class="row_list">
                <div class="col-4">
                    <div class="stat-box">
                        <div class="title">Running</div>
                        <div class="value text-success"><?php echo $running_inv ?></div>
                    </div>
                </div>
              </li>

              <li class="row_list">
                <div class="col-4">
                    <div class="stat-box">
                        <div class="title">Completed</div>
                        <div class="value text-primary"><?php echo $completed_inv ?></div>
                    </div>
                </div>
              </li>

            </div>



        </div>
        <!-- * Stats -->





      <div class="section mt-2">
            <div class="section-title" style="text-align:center">Deposit Transactions</div>
            <div class="card">

                <div class="table-responsive">
                    <table class="table" style="width:100%">
                        <thead>
                            <tr>
                                <th scope="col">S/N</th>
                                <th scope="col">Name</th>
                                <th scope="col">Amount</th>
                                <th scope="col">Capital + Profit</th>
                                <th scope="col">Profit</th>
                                <th scope="col">Status</th>
                                <th scope="col" class="">Date</th>
                                <th scope="col" class="">More details</th>
                            </tr>
                        </thead>
                        <tbody>
                          <?php
                              $i = 1;
                              $sql = "SELECT * FROM invest_plan WHERE invest_user_id = '$user_id' ORDER BY id DESC";
                              $result = $connection->query($sql);
                              while ($row = $result->fetch_assoc()) {
                                  $invest_hash = $row['invest_hash'];
                                  $planName = $row['planName'];
                                  $roi = $row['roi'];
                                  $amount = $row['amount'];
                                  $duration = $row['duration'];
                                  $profit = $row['profit'];
                                  $start_date = $row['start_date'];
                                  $status = $row['status'];

                                  $return = $amount + $profit;
                          ?>
                          <tr style="text-align:center">
                              <td><?php echo $i++ ?></td>
                              <td><?php echo $username?></td>
                              <td><?php echo $currency ?><?php echo number_format("$amount",2)?></td>
                              <td><?php echo $currency ?><?php echo number_format("$return",2)?></td>
                              <td><?php echo $currency ?><?php echo number_format("$profit",2)?></td>
                              <td>
                                <?php
                                  if($status == "pending"){
                                    echo "<span style='background:; border:0px' class='btn btn-warning btn-block btn-sm'>Pending</span>";
                                  }elseif($status == "active"){
                                    echo "<span style='color:;' class='btn btn-primary btn-block btn-sm'>Running</span>";
                                  }elseif($status == "cancel"){
                                    echo "<span style='color:;' class='btn btn-danger btn-block btn-sm'>Cancelled</span>";
                                  }elseif($status == "completed"){
                                    echo "<span style='color:;' class='btn btn-success btn-block btn-sm'>Completed</span>";
                                  }else{
                                    echo "<span style='color:;' class='btn btn-secondary btn-block btn-sm'>N/A</span>";
                                  }
                                ?>
                              </td>
                              <td><?php echo $start_date?></td>
                              <td><a href="deposit-details.php?hash=<?php echo $invest_hash ?>" class="btn btn-primary btn-block btn-sm">details</a></td>
                          </tr>
                          <?php }?>
                        </tbody>
                    </table>
                </div>

            </div>
        </div>





    </div>
    <!-- * App Capsule -->

<?php include 'user_footer.php'; ?>
