<?php $page_title = "User Dashboard" ?>
<?php include 'user_header.php'; ?>

  <!-- Stats -->
  <div class="section">
      <div class="row mt-2">

          <li class="row_list">
            <div class="col-4">
                <div class="stat-box">
                    <div class="title">Deposit Balance</div>
                    <div class="value text-danger"><?php echo $currency.''.$dbalance ?></div>
                </div>
            </div>
          </li>
          <li class="row_list">
             <div class="col-4">
                <div class="stat-box">
                    <div class="title">Profit Balance</div>
                    <div class="value text-danger"><?php echo $currency.''.$dprofit ?></div>
                </div>
            </div>
          </li>

          <li class="row_list">
            <div class="col-4">
                <div class="stat-box">
                    <div class="title">Total Invested</div>
                    <div class="value text-success"><?php echo $currency.''.$total_invested ?></div>
                </div>
            </div>
          </li>

          <li class="row_list">
            <div class="col-4">
                <div class="stat-box">
                    <div class="title">Total Withdrawal</div>
                    <div class="value text-danger"><?php echo $currency.''.$total_withdrawal ?></div>
                </div>
            </div>
          </li>

      </div>
      <div class="row mt-2">

        <li class="bonus_promo">
          <div class="col-6">
              <div class="stat-box">
                  <div class="title">Bonus</div>
                  <div class="value"><?php echo $currency.''.$dbonus ?></div>
              </div>
          </div>
        </li>

        <li class="bonus_promo">
          <div class="col-6">
              <div class="stat-box">
                  <div class="title">Promo</div>
                  <div class="value"><?php echo $currency.''.$dpromo ?></div>
              </div>
          </div>
        </li>

      </div>
  </div>
  <!-- * Stats -->

     <!-- Today -->
    <div class="section-title" style="margin-left:20px">My Wallets</div>
  <div class="section mt-2">

      <div class="card">
          <ul class="listview flush transparent no-line image-listview detailed-list mt-1 mb-1">
              <!-- item -->
              <li>
                  <a href="#" class="item">
                      <div class="icon-box bg-success">
                         <img src="./assets_files/5968260.png" width="30" height="30">
                      </div>
                      <div class="in">
                          <div>
                              <strong>Bitcoin</strong>
                              <div class="text-small text-secondary"></div>
                          </div>
                          <div class="text-end">
                              <strong><?php echo $currency ?>0</strong>

                          </div>
                      </div>
                  </a>
              </li>
              <!-- * item -->
          </ul>
      </div>




  </div>
  <!-- * Today -->
   <div class="section mt-2">
  <div class="card">
          <ul class="listview flush transparent no-line image-listview detailed-list mt-1 mb-1">
              <!-- item -->
              <li>
                  <a href="#" class="item">
                      <div class="icon-box bg-success">
                         <img src="./assets_files/7280229.png" width="30" height="30">
                      </div>
                      <div class="in">
                          <div>
                              <strong>Ethereum</strong>
                              <div class="text-small text-secondary"></div>
                          </div>
                          <div class="text-end">
                              <strong><?php echo $currency ?>0</strong>

                          </div>
                      </div>
                  </a>
              </li>
              <!-- * item -->
          </ul>
      </div>
      </div>


      <!-- * Today -->
   <div class="section mt-2">
  <div class="card">
          <ul class="listview flush transparent no-line image-listview detailed-list mt-1 mb-1">
              <!-- item -->
              <li>
                  <a href="#" class="item">
                      <div class="icon-box bg-success">
                         <img src="./assets_files/7403652.png" width="30" height="30">
                      </div>
                      <div class="in">
                          <div>
                              <strong>BNB</strong>
                              <div class="text-small text-secondary"></div>
                          </div>
                          <div class="text-end">
                              <strong><?php echo $currency ?>0</strong>

                          </div>
                      </div>
                  </a>
              </li>
              <!-- * item -->
          </ul>
      </div>
      </div>


      <div class="section mt-2">
  <div class="card">
          <ul class="listview flush transparent no-line image-listview detailed-list mt-1 mb-1">
              <!-- item -->
              <li>
                  <a href="#" class="item">
                      <div class="icon-box bg-success">
                         <img src="./assets_files/6943259.png" width="30" height="30">
                      </div>
                      <div class="in">
                          <div>
                              <strong>Usdt Trc20</strong>
                              <div class="text-small text-secondary"></div>
                          </div>
                          <div class="text-end">
                              <strong><?php echo $currency ?>0</strong>

                          </div>
                      </div>
                  </a>
              </li>
              <!-- * item -->
          </ul>
      </div>
      </div>


       <div class="section mt-2">
  <div class="card">
          <ul class="listview flush transparent no-line image-listview detailed-list mt-1 mb-1">
              <!-- item -->
              <li>
                  <a href="#" class="item">
                      <div class="icon-box bg-success">
                         <img src="./assets_files/6943259.png" width="30" height="30">
                      </div>
                      <div class="in">
                          <div>
                              <strong>Usdt Erc20</strong>
                              <div class="text-small text-secondary"></div>
                          </div>
                          <div class="text-end">
                              <strong><?php echo $currency ?>0</strong>

                          </div>
                      </div>
                  </a>
              </li>
              <!-- * item -->
          </ul>
      </div>
      </div>


  <!-- Transactions -->
  <div class="section mt-4">
      <div class="section-heading">
          <h2 class="title">Recent Transactions</h2>
          <a href="<?php echo $website_url ?>" class="link">View All</a>
      </div>
      <div class="transactions">  </div>
  </div>
  <!-- * Transactions -->



  <!-- Monthly Bills -->
  <div class="section full mt-1">
      <div class="section-heading padding">
          <h2 class="title">Referral &amp; Commission</h2>
          <a href="referrals.php" class="link">View All Referrals</a>
      </div>
      <!-- carousel multiple -->

      <ul>
        <li class="ref_link" style="margin:0 ; width: 95%;">
            <div class="bill-box">
                <div class="img-wrapper">
                    <i class="fa-solid fa-link"></i>
                </div>
                <div class="price" style="font-size:14px">
                    <span>Copy</span> your <span class="">referral link below and share to your friends &amp; loved ones</span>
                    <br>
               <input type="text" class="form-control" value="<?php echo $website_url ?>/ref.php?user101" id="ref" readonly="">
                </div>

                <button type="button" class="btn btn-primary btn-block btn-sm" onclick="copyRefLink()">Copy Link</button>
            </div>
        </li>
      </ul>
      <!-- * carousel multiple -->
  </div>
  <!-- * Monthly Bills -->



    <!-- app footer -->
    <div class="appFooter">
        <div class="footer-title">
            Copyright © 2016 - <?php echo date("Y") ?>. All Rights Reserved.
        </div>
        <?php echo $website_name ?>
    </div>
    <!-- * app footer -->
    </div>
    <!-- * App Capsule -->


<?php include 'user_footer.php'; ?>
