<?php require 'session.php';

    if ($role == "admin") {
       echo "<script>window.location.href='../admin/index.php'</script>";
    }
    if (!isset($_SESSION['user_id'])) {
        echo "<script>window.location.href = 'logout.php'</script>";
    }
?>

<html lang="en" class="hydrated" style="height: 100%;">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, minimum-scale=1, maximum-scale=1, viewport-fit=cover">
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
  <meta name="theme-color" content="#000000">
  <meta name="description" content="Finapp HTML Mobile Template">

  <link rel="apple-touch-icon" sizes="180x180" href="assets/img/icon/192x192.png">
  <link rel="stylesheet" href="./assets_files/style.css">
  <link rel="manifest" href="__manifest.json">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.5.2/css/all.min.css">
  <link rel="icon" href="../images/<?php echo $favicon ?>">
  <link type="text/css" rel="stylesheet" charset="UTF-8" href="./assets_files/m=el_main_css">

  <script src="./assets_files/osigkov8gedlfnsdgh2jgsezk3c0vedn.js.download" async=""></script>
  <script type="text/javascript" charset="UTF-8" src="./assets_files/m=el_main"></script>
  <script src="https://unpkg.com/sweetalert/dist/sweetalert.min.js"></script>
  <title><?php echo $page_title ?> || <?php echo $website_name ?></title>

  <style data-styles="">
    ion-icon{
      visibility:hidden;
      }
      .hydrated{
        visibility:inherit;
      }
      .ref_link{
        list-style: none;
        display: inline-block;
      }
      .ref_link input{
        width: 100%;
        padding: 1% 0;
        border-radius: 5px;
        background: rgba(255, 255, 255, 0.8);
        text-align: center;
        font-size: 120%;
        margin: 2% 0 0 0;
      }
      .ref_link button{
        padding: 2% 0;
        border-radius: 5px;
        text-align: center;
        font-size: 120%;
        cursor: pointer;
      }

      .row_list{
        margin: 1% 1%;
        list-style: none;
        display: inline-block;
      }

      .bonus_promo{
        margin: 1% 0.5%;
        list-style: none;
        display: inline-block;
        width: 48%;
      }
      @media (min-width:719px) {
        .row_list{
          width: 30%;
        }
      }
  </style>
</head>
<body class="dark-mode" style="position: relative; min-height: 100%; top: 0px;">

  <!-- loader -->
    <div id="loader" style="display: none;">
        <img src="../images/<?php echo $logo_img ?>" alt="icon" class="loading-icon">
    </div>
    <!-- * loader -->

    <!-- App Header -->
    <div class="appHeader bg-primary text-light" id="adjust_header">
        <div class="left">
            <a href="#" class="headerButton" data-bs-toggle="modal" data-bs-target="#sidebarPanel" onclick="adjust()">
                <ion-icon name="menu-outline" role="img" class="md hydrated" aria-label="menu outline">
                  <i class="fa-solid fa-bars"></i>
                </ion-icon>
            </a>
            <!-- Logo -->
        </div>
        <div class="pageTitle">
           <!-- <img src="public/img/logo.png" alt="logo" class="logo">--->
        </div>
        <div class="right">
            <a href="account-settings.php" class="headerButton">
                Account Settings

            </a>
            <a href="logout.php" class="headerButton">
              Logout

            </a>
        </div>
    </div>
    <!-- * App Header -->

    <?php include 'side_nav.php'; ?>

    <!-- App Capsule -->
    <div id="appCapsule">

        <!-- Wallet Card -->
        <div class="section wallet-card-section pt-1" style="margin:-2.7% 0 0 -1%" id="quick_action">
            <div class="wallet-card" style="margin:2% 0;">
                <!-- Balance -->
                <div class="balance">
                    <div class="left">
                        <span class="title">Total Balance</span>
                        <h1 class="total"><?php echo $currency.''.$dtotal_bal ?></h1>
                    </div>
                    <div class="right">
                        <a href="" class="buttons" data-bs-toggle="modal" data-bs-target="#withdrawActionSheet">
                            Withdraw
                        </a>
                    </div>
                </div>
                <!-- * Balance -->
                <!-- Wallet Footer -->
                <div class="wallet-footer">
                    <div class="item">
                        <a href="deposit.php">
                            <div class="icon-wrapper bg-danger">
                                <i class="fa-solid fa-arrow-down"></i>
                            </div>
                            <strong>Deposit</strong>
                        </a>
                    </div>
                    <div class="item">
                        <a href="deposit.php">
                            <div class="icon-wrapper">
                                <i class="fa-solid fa-arrow-right"></i>
                            </div>
                            <strong>Invest</strong>
                        </a>
                    </div>
                    <div class="item">
                        <a href="transfer-fund.php">
                            <div class="icon-wrapper bg-success">
                                <i class="fa-solid fa-wallet"></i>
                            </div>
                            <strong>Send Fund</strong>
                        </a>
                    </div>
                    <div class="item">
                        <a href="withdraw.php">
                            <div class="icon-wrapper bg-warning">
                                <i class="fa-solid fa-arrow-down"></i>
                                <i class="fa-solid fa-arrow-up"></i>
                            </div>
                            <strong>Withdraw</strong>
                        </a>
                    </div>

                </div>
                <!-- * Wallet Footer -->
            </div>
        </div>
        <!-- Wallet Card -->
