<?php $page_title = "Withdraw Funds" ?>
<?php include 'user_header.php';?>

<?php
  if (isset($_POST['add_wallet'])) {
    $wname = $_POST['wname'];
    $waddress= $_POST['waddress'];

    if (empty($wname) || empty($waddress)) {
      echo "<script>window.location.href='?action=empty'</script>";
    }else {
      $sql_wallet ="INSERT INTO user_wallets (wallet_userid, wallet_name, wallet_address) VALUES ('$user_id', '$wname', '$waddress')";
      $wallet_query = $connection->query($sql_wallet);
      if ($wallet_query === TRUE) {
        echo "<script>window.location.href='?action=success'</script>";
      }else {
        echo "<script>window.location.href='?action=error'</script>";
      }
    }
  }

  if (isset($_POST['delete_wallet'])) {
    $wallet_id = $_POST['wallet_id'];

    $sql_delete ="DELETE FROM user_wallets WHERE id = '$wallet_id'";
    $delete_query = $connection->query($sql_delete);
    if ($delete_query === TRUE) {
        echo "<script>window.location.href='?action=delete-success'</script>";
    }else {
        echo "<script>window.location.href='?action=error'</script>";
    }
  }

 ?>
<!-- App Header -->
    <div class="appHeader">
        <div class="left">
            <a href="#" class="headerButton goBack">
                <i class="fa-solid fa-chevron-left"></i>
            </a>
        </div>
        <div class="pageTitle">
           Add Wallet
        </div>
        <div class="right">
            <a href="#" class="headerButton" data-bs-toggle="modal" data-bs-target="#addCardActionSheet">
               Add Wallet &nbsp; <i class="fa-solid fa-plus"></i>
            </a>
        </div>
    </div>
    <!-- * App Header -->

        <div class="row">
          <div class="col-lg-11">
            <?php
              $action = $_GET['action'];
              if ($action == "empty" ):
            ?>
            <div class='alert alert-danger alert-dismissible' style='max-width:80%; font-size:100%'>
                <a href='#' class='close' data-dismiss='alert' aria-label='close'>×</a>
                <p>Wallet type and address field's cannot be empty</p>
            </div>
          <?php elseif ($action == "success"): ?>
            <div class='alert alert-success alert-dismissible' style='max-width:80%; font-size:100%'>
                <a href='#' class='close' data-dismiss='alert' aria-label='close'>×</a>
                <p>You have added the wallet successfully</p>
            </div>
          <?php elseif ($action == "delete-success"): ?>
            <div class='alert alert-success alert-dismissible' style='max-width:80%; font-size:100%'>
                <a href='#' class='close' data-dismiss='alert' aria-label='close'>×</a>
                <p>You have deleted the wallet successfully</p>
            </div>
          <?php elseif ($action == "error"): ?>
            <div class='alert alert-success alert-dismissible' style='max-width:80%; font-size:100%'>
                <a href='#' class='close' data-dismiss='alert' aria-label='close'>×</a>
                <p>Sorry an error occurred. Please try again later</p>
            </div>

            <?php endif; ?>
          </div>
        </div>

        <div class="section mt-2">
            <div class="section-title">My Wallets</div>
            <div class="card">

                <div class="table-responsive">
                    <table class="table" style="width:100%">
                        <thead>
                          <th scope="col">S/N</th>
                          <th scope="col">Name of Wallet</th>
                          <th scope="col">Wallet address</th>
                          <th scope="col" class="">Action</th>
                        </thead>
                        <tbody>
                          <?php
                              $i = 1;
                              $sql = "SELECT * FROM user_wallets WHERE wallet_userid = '$user_id' ORDER BY id DESC";
                              $result = $connection->query($sql);
                              while ($row = $result->fetch_assoc()) {
                                  $wallet_id = $row['id'];
                                  $wallet_name = $row['wallet_name'];
                                  $wallet_address = $row['wallet_address'];
                          ?>
                          <tr style="text-align:center">
                              <td><?php echo $i++ ?></td>
                              <td style="text-transform:capitalize"><?php echo $wallet_name?></td>
                              <td><?php echo $wallet_address ?></td>
                              <td>
                                <form class="" action="" method="post">
                                  <input type="hidden" name="wallet_id" value="<?php echo $wallet_id?>">
                                  <button type="submit" name="delete_wallet" class="btn btn-danger btn-block btn-sm">Delete</button>
                                </form>
                              </td>
                          </tr>
                          <?php }?>
                        </tbody>
                    </table>
                </div>

            </div>
        </div>







    </div>
    <!-- * App Capsule -->



    <!-- Add Card Action Sheet -->
    <div class="modal fade action-sheet" id="addCardActionSheet" tabindex="-1" aria-hidden="true" style="display: none;">
        <div class="modal-dialog" role="document">
            <div class="modal-content">
                <div class="modal-header">
                    <h5 class="modal-title">Add a Wallet</h5>
                </div>
                <div class="modal-body">
                    <div class="action-sheet-content">
                        <form method="post" action="">
                            <div class="row">

                                <li class="row_list" style="width:45%">
                                  <div class="col-6">
                                      <div class="form-group basic">
                                          <div class="input-wrapper">
                                              <label class="label" for="cardcvv">Wallet</label>
                                              <input type="text" name="wname" class="form-control"
                                               required placeholder="Type of wallet" style="width:100%;">
                                          </div>
                                      </div>
                                  </div>
                                </li>

                                <li class="row_list" style="width:45%">
                                  <div class="col-6">
                                      <div class="form-group basic">
                                          <div class="input-wrapper">
                                              <label class="label" for="cardcvv">Wallet Address</label>
                                              <input type="text" class="form-control" placeholder="Wallet" name="waddress"
                                               required style="width:100%;">
                                          </div>
                                      </div>
                                  </div>
                                </li>
                            </div>


                            <div class="form-group basic mt-2">
                                <button type="submit" name="add_wallet" class="btn btn-primary btn-block btn-lg">Add</button>
                            </div>
                        </form>
                    </div>

                </div>
            </div>
        </div>
    </div>
    <!-- * Add Card Action Sheet -->

<?php include 'user_footer.php'; ?>
